> [!NOTE]
> In v47 the folder structure has changed. If you've set custom folder icons, upgrading from a previous version of MoreWaita will break those. You'll need to reassign folder icons after upgrading.

# MoreWaita

![showcase](https://repository-images.githubusercontent.com/543632052/3eca878b-6b04-49d9-a5f6-c369569fa610)

## Introduction

An expanded Adwaita-styled companion icon theme, built largely upon the work of GNOME's Adwaita designers and GNOME Circle apps' developers, as well as inspiration from the Papirus icon theme designers, and a touch of tinkering from myself, [@dusansimic](https://github.com/dusansimic), [@julianfairfax](https://github.com/julianfairfax) and [a few others](https://github.com/somepaulo/MoreWaita/graphs/contributors).

<details>
<summary><h4>About the theme</h4></summary>

The purpose of this theme is to provide third-party apps with a consistent look and feel in Gnome Shell.

The goal of MoreWaita is to add to Adwaita, not modify it, and to do roughly what Breeze does for KDE. This theme does not override any Adwaita icons, nor any Gnome Circle apps icons, nor icons that generally fit into the Adwaita paradigm (like Transmission GTK). Currently, this theme is way less all-inclusive than many others, but the aim is to be on par with Papirus some day. However, this is (mostly) a one-man hobby effort, albeit with some greatly appreciated help, so suggestions, requests, PRs and contributions are very welcome. Please read CONTRIBUTING.md before submitting PRs.

For most icons, especially branded ones, the general idea is to stay as close as possible to the original icons – to the point of using them in full – and giving them the distinct Adwaita 'perspective' and general flatness. One thing this theme deviates from is the Gnome colour palette in brand icons – MoreWaita keeps the brand colours.

This theme is built and tested against vanilla Gnome on Arch Linux. If an icon is in the theme, but is not applying to your app, please open an issue and mention the icon name referenced in your app's `.desktop` file.
</details>

## The icons

_These are the icons currently in git, versioned theme releases will be behind most of the time_
<details>
<summary><h3>Apps</h3></summary>

![icon](./scalable/apps/abiword.svg "Abiword")
![icon](./scalable/apps/gnome-aisleriot.svg "Aisleriot Solitaire")
![icon](./scalable/apps/alacritty.svg "Alacritty")
![icon](./scalable/apps/androidstudio.svg "Android Studio")
![icon](./scalable/apps/android-studio-canary.svg "Android Studio Canary")
![icon](./scalable/apps/anydesk.svg "AnyDesk")
![icon](./scalable/apps/ardour.svg "Ardour")
![icon](./scalable/apps/atomix.svg "Atomix")
![icon](./scalable/apps/audacity.svg "Audacity")
![icon](./scalable/apps/bitwarden.svg "Bitwarden")
![icon](./scalable/apps/bitwig-studio.svg "Bitwig Studio")
![icon](./scalable/apps/bleachbit.svg "Bleachbit")
![icon](./scalable/apps/blender.svg "Blender")
![icon](./scalable/apps/brave-desktop.svg "Brave")
![icon](./scalable/apps/dev.bsnes.bsnes.svg "BSNES")
![icon](./scalable/apps/btop.svg "Btop")
![icon](./scalable/apps/accessories-character-map.svg "Character Map")
![icon](./scalable/apps/calibre.svg "Calibre")
![icon](./scalable/apps/calibre-ebook-edit.svg "Calibre Editor")
![icon](./scalable/apps/calibre-viewer.svg "Calibre Viewer")
![icon](./scalable/apps/carla.svg "Carla")
![icon](./scalable/apps/carla-control.svg "Carla Control")
![icon](./scalable/apps/cawbird.svg "Cawbird")
![icon](./scalable/apps/chromium-browser.svg "Chromium")
![icon](./scalable/apps/clamtk.svg "ClamTK")
![icon](./scalable/apps/de.leopoldluley.Clapgrep.svg "Clapgrep")
![icon](./scalable/apps/com.github.rafostar.Clapper.svg "Clapper")
![icon](./scalable/apps/CMakeSetup.svg "CMake Setup")
![icon](./scalable/apps/org.cockpit_project.CockpitClient.svg "Cockpit Client")
![icon](./scalable/apps/codeblocks.svg "Code::Blocks")
![icon](./scalable/apps/code-oss.svg "Code OSS")
![icon](./scalable/apps/corectrl.svg "CoreCtrl")
![icon](./scalable/apps/cups.svg "CUPS")
![icon](./scalable/apps/darktable.svg "Darktable")
![icon](./scalable/apps/resolve.svg "DaVinci Resolve")
![icon](./scalable/apps/dbeaver.svg "DBeaver")
![icon](./scalable/apps/preferences-desktop-theme.svg "Desktop Preferences")
![icon](./scalable/apps/discord.svg "Discord")
![icon](./scalable/apps/discord-canary.svg "Discord Canary")
![icon](./scalable/apps/org.DolphinEmu.dolphin-emu.svg "Dolphin Emulator")
![icon](./scalable/apps/eclipse.svg "Eclipse")
![icon](./scalable/apps/electron.svg "Electron")
![icon](./scalable/apps/electrum.svg "Electrum")
![icon](./scalable/apps/io.element.Element.svg "Element")
![icon](./scalable/apps/enpass.svg "Enpass")
![icon](./scalable/apps/etcher.svg "Etcher")
![icon](./scalable/apps/facebook-messenger.svg "Facebook Messenger")
![icon](./scalable/apps/org.fdroid.Repomaker.svg "F-Droid Repomaker")
![icon](./scalable/apps/figma.svg "Figma")
![icon](./scalable/apps/filezilla.svg "FileZilla")
![icon](./scalable/apps/firefox.svg "Firefox")
![icon](./scalable/apps/firefox-developer-edition.svg "Firefox Developer Edition")
![icon](./scalable/apps/firefox-nightly.svg "Firefox Nightly")
![icon](./scalable/apps/firewall-config.svg "Firewalld")
![icon](./scalable/apps/fish.svg "Fish Shell")
![icon](./scalable/apps/flightgear.svg "FlightGear")
![icon](./scalable/apps/fgcom.svg "FlightGear FGCom")
![icon](./scalable/apps/foobar2000.svg "Foobar 2000")
![icon](./scalable/apps/freac.svg "Fre:ac")
![icon](./scalable/apps/freecad.svg "FreeCAD")
![icon](./scalable/apps/freedroidrpg.svg "FreeDroid RPG")
![icon](./scalable/apps/freetube.svg "FreeTube")
![icon](./scalable/apps/fuse-emulator.svg "Fuse Spectrum Emulator")
![icon](./scalable/apps/gda-browser-5.0.svg "Gda Browser")
![icon](./scalable/apps/gda-control-center.svg "Gda Control Center")
![icon](./scalable/apps/geany.svg "Geany")
![icon](./scalable/apps/genymotion.svg "Genymotion")
![icon](./scalable/apps/geogebra.svg "Geogebra")
![icon](./scalable/apps/gimp.svg "GIMP")
![icon](./scalable/apps/github-desktop.svg "GitHub Desktop")
![icon](./scalable/apps/gitkraken.svg "GitKraken")
![icon](./scalable/apps/godot.svg "Godot")
![icon](./scalable/apps/google-chrome.svg "Google Chrome")
![icon](./scalable/apps/google-earth.svg "Google Earth")
![icon](./scalable/apps/gparted.svg "GParted")
![icon](./scalable/apps/gpsd-logo.svg "GPSd")
![icon](./scalable/apps/grapejuice.svg "Grapejuice")
![icon](./scalable/apps/grapejuice-roblox-player.svg "Grapejuice Player")
![icon](./scalable/apps/grapejuice-roblox-studio.svg "Grapejuice Studio")
![icon](./scalable/apps/grub-customizer.svg "GRUB Customizer")
![icon](./scalable/apps/gsmartcontrol.svg "GSmartControl")
![icon](./scalable/apps/gufw.svg "GUFW")
![icon](./scalable/apps/fr.handbrake.ghb.svg "Handbrake")
![icon](./scalable/apps/hardinfo.svg "Hardinfo")
![icon](./scalable/apps/headlines.svg "Headlines")
![icon](./scalable/apps/heroic.svg "Heroic Launcher")
![icon](./scalable/apps/hp_logo.svg "HP")
![icon](./scalable/apps/htop.svg "Htop")
![icon](./scalable/apps/hwloc.svg "Hardware Locality")
![icon](./scalable/apps/org.inkscape.Inkscape.svg "Inkscape")
![icon](./scalable/apps/input-remapper.svg "Input Remapper")
![icon](./scalable/apps/insomnia.svg "Insomnia")
![icon](./scalable/apps/java-openjdk.svg "Java")
![icon](./scalable/apps/jdownloader.svg "JDownloader")
![icon](./scalable/apps/fleet.svg "JetBrains Fleet")
![icon](./scalable/apps/intellij.svg "JetBrains IntelliJ IDEA")
![icon](./scalable/apps/clion.svg "JetBrains CLion")
![icon](./scalable/apps/datagrip.svg "JetBrains DataGrip")
![icon](./scalable/apps/dataspell.svg "JetBrains DataSpell")
![icon](./scalable/apps/goland.svg "JetBrains GoLand")
![icon](./scalable/apps/phpstorm.svg "JetBrains PhpStorm")
![icon](./scalable/apps/pycharm.svg "JetBrains PyCharm")
![icon](./scalable/apps/rider.svg "JetBrains Rider")
![icon](./scalable/apps/rubymine.svg "JetBrains RubyMine")
![icon](./scalable/apps/webstorm.svg "JetBrains WebStorm")
![icon](./scalable/apps/jetbrains-toolbox.svg "JetBrains Toolbox")
![icon](./scalable/apps/joplin.svg "Joplin")
![icon](./scalable/apps/josm.svg "JOSM")
![icon](./scalable/apps/jupyter.svg "Jupyter")
![icon](./scalable/apps/kate.svg "Kate")
![icon](./scalable/apps/kdenlive.svg "KDEnlive")
![icon](./scalable/apps/keepassxc.svg "Keepass XC")
![icon](./scalable/apps/kicad.svg "KiCad")
![icon](./scalable/apps/kitty.svg "Kitty")
![icon](./scalable/apps/kolourpaint.svg "Kolourpaint")
![icon](./scalable/apps/krita.svg "Krita")
![icon](./scalable/apps/kruler.svg "Kruler")
![icon](./scalable/apps/kvantum.svg "Kvantum")
![icon](./scalable/apps/libreoffice-writer.svg "LibreOffice Writer")
![icon](./scalable/apps/libreoffice-calc.svg "LibreOffice Calc")
![icon](./scalable/apps/libreoffice-impress.svg "LibreOffice Impress")
![icon](./scalable/apps/libreoffice-draw.svg "LibreOffice Draw")
![icon](./scalable/apps/libreoffice-math.svg "LibreOffice Math")
![icon](./scalable/apps/libreoffice-base.svg "LibreOffice Base")
![icon](./scalable/apps/libreoffice-chart.svg "LibreOffice Chart")
![icon](./scalable/apps/libreoffice-basic.svg "LibreOffice Basic")
![icon](./scalable/apps/libreoffice-startcenter.svg "LibreOffice StartCenter")
![icon](./scalable/apps/librewolf.svg "Librewolf")
![icon](./scalable/apps/liferea.svg "Liferea")
![icon](./scalable/apps/logseq.svg "Logseq")
![icon](./scalable/apps/lvim.svg "LunarVim")
![icon](./scalable/apps/mailspring.svg "Mailspring")
![icon](./scalable/apps/maple.svg "Maple")
![icon](./scalable/apps/mathematica.svg "Mathematica")
![icon](./scalable/apps/mattermost.svg "Mattermost")
![icon](./scalable/apps/MediathekView.svg "MediathekView")
![icon](./scalable/apps/mediainfo.svg "Mediainfo")
![icon](./scalable/apps/com.tonikelope.MegaBasterd.svg "MegaBasterd")
![icon](./scalable/apps/net.kuribo64.melonDS.svg "melonDS")
![icon](./scalable/apps/menulibre.svg "Menulibre")
![icon](./scalable/apps/micro.svg "Micro")
![icon](./scalable/apps/microsoft-edge.svg "Microsoft Edge")
![icon](./scalable/apps/minecraft.svg "Minecraft")
![icon](./scalable/apps/mockoon.svg "Mockoon")
![icon](./scalable/apps/monero.svg "Monero")
![icon](./scalable/apps/mpv.svg "mpv")
![icon](./scalable/apps/mumble.svg "Mumble")
![icon](./scalable/apps/nvim.svg "Neovim")
![icon](./scalable/apps/gnome-nettool.svg "Network Tools")
![icon](./scalable/apps/preferences-system-network.svg "Network Preferences")
![icon](./scalable/apps/network-wired.svg "Network Wired")
![icon](./scalable/apps/nextcloud.svg "NextCloud")
![icon](./scalable/apps/nufraw.svg "nUFRaw")
![icon](./scalable/apps/nvidia.svg "nVidia Settings")
![icon](./scalable/apps/nvtop.svg "NVTOP")
![icon](./scalable/apps/com.obsproject.Studio.svg "OBS Studio")
![icon](./scalable/apps/obsidian.svg "Obsidian")
![icon](./scalable/apps/octave.svg "Octave")
![icon](./scalable/apps/okular.svg "Okular")
![icon](./scalable/apps/onetagger.svg "One Tagger")
![icon](./scalable/apps/org.onlyoffice.desktopeditors.svg "ONLYOFFICE")
![icon](./scalable/apps/openboard.svg "OpenBoard")
![icon](./scalable/apps/openra-cnc.svg "OpenRA Command & Conquer")
![icon](./scalable/apps/openra-d2k.svg "OpenRA Dune 2000")
![icon](./scalable/apps/openra-ra.svg "OpenRA Red Alert")
![icon](./scalable/apps/openscad.svg "OpenSCAD")
![icon](./scalable/apps/opensnitch-ui.svg "Open Snitch")
![icon](./scalable/apps/opera.svg "Opera")
![icon](./scalable/apps/osmscout-server.svg "OSM Scout")
![icon](./scalable/apps/pacseek.svg "Pacseek")
![icon](./scalable/apps/pamac.svg "Pamac")
![icon](./scalable/apps/org.parlatype.Parlatype.svg "Parlatype")
![icon](./scalable/apps/pavucontrol.svg "PulseAudio Volume Control")
![icon](./scalable/apps/pidgin.svg "Pidgin")
![icon](./scalable/apps/net.poedit.Poedit.svg "Poedit")
![icon](./scalable/apps/popcorntime.svg "Popcorn Time")
![icon](./scalable/apps/postman.svg "Postman")
![icon](./scalable/apps/org.gnome.PowerStats.svg "Power Statistics")
![icon](./scalable/apps/prismlauncher.svg "Prism Launcher")
![icon](./scalable/apps/projectM.svg "projectM")
![icon](./scalable/apps/protonmail-bridge.svg "Proton Mail")
![icon](./scalable/apps/protonmail-ie.svg "Proton Mail Import Export App")
![icon](./scalable/apps/protonvpn-gui.svg "Proton VPN")
![icon](./scalable/apps/pulsar.svg "Pulsar")
![icon](./scalable/apps/pure-maps.svg "Pure Maps")
![icon](./scalable/apps/qbittorrent.svg "qBitTorrent")
![icon](./scalable/apps/qt5ct.svg "Qt Control Center")
![icon](./scalable/apps/assistant.svg "Qt Assistant")
![icon](./scalable/apps/qdbusviewer.svg "Qt dbus Viewer")
![icon](./scalable/apps/QtProject-designer.svg "Qt Designer")
![icon](./scalable/apps/linguist.svg "Qt Linguist")
![icon](./scalable/apps/qv4l2.svg "Qt Video for Linux Utility")
![icon](./scalable/apps/io.github.quodlibet.QuodLibet.svg "QuodLibet")
![icon](./scalable/apps/io.github.quodlibet.ExFalso.svg "ExFalso")
![icon](./scalable/apps/qutebrowser.svg "Qute Browser")
![icon](./scalable/apps/rawtherapee.svg "RawTherapee")
![icon](./scalable/apps/retroarch.svg "Retro Arch")
![icon](./scalable/apps/rstudio.svg "RStudio")
![icon](./scalable/apps/rustdesk.svg "RustDesk")
![icon](./scalable/apps/saber.svg "Saber")
![icon](./scalable/apps/scrcpy.svg "Scrcpy")
![icon](./scalable/apps/guiscrcpy.svg "GUI Scrcpy")
![icon](./scalable/apps/scribus.svg "Scribus")
![icon](./scalable/apps/session-desktop.svg "Session")
![icon](./scalable/apps/setzer.svg "Setzer")
![icon](./scalable/apps/shotwell.svg "Shotwell")
![icon](./scalable/apps/one.alynx.showmethekey.svg "Show Me the Key")
![icon](./scalable/apps/signal-desktop.svg "Signal")
![icon](./scalable/apps/skypeforlinux.svg "Skype")
![icon](./scalable/apps/slack.svg "Slack")
![icon](./scalable/apps/system-software-install.svg "Software")
![icon](./scalable/apps/soundconverter.svg "Sound Converter")
![icon](./scalable/apps/spek.svg "Spek")
![icon](./scalable/apps/spotify.svg "Spotify")
![icon](./scalable/apps/spyder.svg "Spyder")
![icon](./scalable/apps/sqlitebrowser.svg "DB Browser for SQLite")
![icon](./scalable/apps/standard-notes.svg "Standard Notes")
![icon](./scalable/apps/steam-icon.svg "Steam")
![icon](./scalable/apps/stellarium.svg "Stellarium")
![icon](./scalable/apps/stoken-gui.svg "Security Token")
![icon](./scalable/apps/strawberry.svg "Strawberry")
![icon](./scalable/apps/sublime-merge.svg "Sublime Merge")
![icon](./scalable/apps/sublime-text.svg "Sublime Text")
![icon](./scalable/apps/surfshark.svg "Surfshark")
![icon](./scalable/apps/suyu.svg "Suyu")
![icon](./scalable/apps/syncthing-gtk.svg "Syncthing")
![icon](./scalable/apps/teams.svg "Teams")
![icon](./scalable/apps/TeamViewer.svg "TeamViewer")
![icon](./scalable/apps/telegram.svg "Telegram")
![icon](./scalable/apps/texstudio.svg "Texstudio")
![icon](./scalable/apps/thunderbird.svg "Thunderbird")
![icon](./scalable/apps/todoist.svg "Todoist")
![icon](./scalable/apps/tor-browser.svg "TOR Browser")
![icon](./scalable/apps/ungoogled-chromium.svg "Ungoogled Chromium")
![icon](./scalable/apps/unityhub.svg "Unity Hub")
![icon](./scalable/apps/unity-editor-icon.svg "Unity Editor")
![icon](./scalable/apps/viber.svg "Viber")
![icon](./scalable/apps/vim.svg "Vim")
![icon](./scalable/apps/virtualbox.svg "VirtualBox")
![icon](./scalable/apps/virt-manager.svg "Virtual Machine Manager")
![icon](./scalable/apps/visual-studio-code.svg "Visual Studio Code")
![icon](./scalable/apps/vivaldi.svg "Vivaldi")
![icon](./scalable/apps/vlc.svg "VLC")
![icon](./scalable/apps/vmware-workstation.svg "VMware Workstation")
![icon](./scalable/apps/vscodium.svg "VSCodium")
![icon](./scalable/apps/warpinator.svg "Warpinator")
![icon](./scalable/apps/webcord.svg "Webcord")
![icon](./scalable/apps/com.github.eneshecan.WhatsAppForLinux.svg "WhatsApp")
![icon](./scalable/apps/windscribe.svg "Windscribe")
![icon](./scalable/apps/wonderpen.svg "WonderPen")
![icon](./scalable/apps/xdvi.svg "xdvi")
![icon](./scalable/apps/xsane.svg "xSane")
![icon](./scalable/apps/yandex-browser.svg "Yandex Browser")
![icon](./scalable/apps/yuzu.svg "Yuzu")
![icon](./scalable/apps/zaproxy.svg "Zed Attack Proxy (ZAP)")
![icon](./scalable/apps/zathura.svg "Zathura")
![icon](./scalable/apps/zed.svg "Zed")
![icon](./scalable/apps/zen-browser.svg "Zen Browser")
![icon](./scalable/apps/Zoom.svg "Zoom")
![icon](./scalable/apps/zrythm.svg "Zrythm")
</details>
<details>
<summary><h3>MIME types</h3></summary>

![icon](./scalable/mimes/application-vnd.adobe.aftereffects.project.svg "Adobe AfterEffects Project")
![icon](./scalable/mimes/application-illustrator.svg "Adobe Illustrator")
![icon](./scalable/mimes/application-x-adobe-indesign.svg "Adobe InDesign")
![icon](./scalable/mimes/application-x-photoshop.svg "Adobe Photoshop")
![icon](./scalable/mimes/application-vnd.adobe.xd.svg "Adobe XD")
![icon](./scalable/mimes/android-package-archive.svg "APK")
![icon](./scalable/mimes/application-x-iso9600-appimage.svg "AppImage")
![icon](./scalable/mimes/application-x-audacity-project.svg "Audacity Project")
![icon](./scalable/mimes/application-octet-stream.svg "Binary")
![icon](./scalable/mimes/application-x-bitwig-studio.svg "Bitwig Studio")
![icon](./scalable/mimes/com.bitwig.BitwigStudio.audio-x.dawproject.svg "Bitwig Studio Project")
![icon](./scalable/mimes/text-x-c.svg "C")
![icon](./scalable/mimes/text-x-chdr.svg "C Header")
![icon](./scalable/mimes/text-x-cpp.svg "C++")
![icon](./scalable/mimes/text-x-cpphdr.svg "C++ Header")
![icon](./scalable/mimes/text-x-csharp.svg "C#")
![icon](./scalable/mimes/application-x-cd-image.svg "CD Image")
![icon](./scalable/mimes/text-x-clojure.svg "Clojure")
![icon](./scalable/mimes/application-vnd.comicbook+zip.svg "Comic Book")
![icon](./scalable/mimes/text-css.svg "CSS")
![icon](./scalable/mimes/application-x-deb.svg "deb")
![icon](./scalable/mimes/application-epub+zip.svg "eBook")
![icon](./scalable/mimes/application-vnd.flatpak.svg "Flatpak")
![icon](./scalable/mimes/text-x-go.svg "Go")
![icon](./scalable/mimes/application-x-godot-project.svg "Godot Project")
![icon](./scalable/mimes/application-vnd.iccprofile.svg "ICC Profile")
![icon](./scalable/mimes/text-x-java.svg "Java")
![icon](./scalable/mimes/application-x-java-archive.svg "Java Archive")
![icon](./scalable/mimes/text-x-javascript.svg "JavaScript")
![icon](./scalable/mimes/application-json.svg "JSON")
![icon](./scalable/mimes/application-x-ipynb+json.svg "Jupyter Notebook")
![icon](./scalable/mimes/text-x-lua.svg "Lua")
![icon](./scalable/mimes/text-x-makefile.svg "Makefile")
![icon](./scalable/mimes/application-mathematica.svg "Mathematica")
![icon](./scalable/mimes/application-mathematicaplayer.svg "Mathematica Player")
![icon](./scalable/mimes/application-vnd.wolfram.mathematica.package.svg "Mathematica Package")
![icon](./scalable/mimes/text-x-markdown.svg "Markdown")
![icon](./scalable/mimes/text-x-meson.svg "Meson")
![icon](./scalable/mimes/application-x-model.svg "Model")
![icon](./scalable/mimes/text-x-octave.svg "Octave")
![icon](./scalable/mimes/oasis-text.svg "Office Document")
![icon](./scalable/mimes/oasis-spreadsheet.svg "Office Spreadsheet")
![icon](./scalable/mimes/oasis-presentation.svg "Office Presentation")
![icon](./scalable/mimes/oasis-drawing.svg "Office Drawing")
![icon](./scalable/mimes/oasis-web.svg "Office HTML")
![icon](./scalable/mimes/oasis-database.svg "Office Database")
![icon](./scalable/mimes/oasis-formula.svg "Office Formula")
![icon](./scalable/mimes/oasis-master-document.svg "Office Master Document")
![icon](./scalable/mimes/oasis-empty.svg "Office Empty")
![icon](./scalable/mimes/oasis-text-template.svg "Office Document Template")
![icon](./scalable/mimes/oasis-spreadsheet-template.svg "Office Spreadsheet Template")
![icon](./scalable/mimes/oasis-presentation-template.svg "Office Presentation Template")
![icon](./scalable/mimes/oasis-drawing-template.svg "Office Drawing Template")
![icon](./scalable/mimes/oasis-web-template.svg "Office HTML Template")
![icon](./scalable/mimes/oasis-database-template.svg "Office Database Template")
![icon](./scalable/mimes/oasis-formula-template.svg "Office Formula Template")
![icon](./scalable/mimes/oasis-master-document-template.svg "Office Master Document Template")
![icon](./scalable/mimes/oasis-empty-template.svg "Office Empty Template")
![icon](./scalable/mimes/text-x-patch.svg "Patch")
![icon](./scalable/mimes/application-x-perl.svg "Perl")
![icon](./scalable/mimes/application-pgp-encrypted.svg "PGP Encrypted")
![icon](./scalable/mimes/application-pgp-keys.svg "PGP Key")
![icon](./scalable/mimes/application-pgp-signature.svg "PGP Signature")
![icon](./scalable/mimes/application-pkix-cert.svg "PGP Certificate")
![icon](./scalable/mimes/application-x-php.svg "PHP")
![icon](./scalable/mimes/application-postscript.svg "PostScript")
![icon](./scalable/mimes/text-x-python.svg "Python")
![icon](./scalable/mimes/application-x-python-bytecode.svg "Python Bytecode")
![icon](./scalable/mimes/text-x-r.svg "R")
![icon](./scalable/mimes/text-x-r-markdown.svg "R Markdown")
![icon](./scalable/mimes/application-x-rpm.svg "rpm")
![icon](./scalable/mimes/text-x-ruby.svg "Ruby")
![icon](./scalable/mimes/text-rust.svg "Rust")
![icon](./scalable/mimes/application-vnd.scribus.svg "Scribus")
![icon](./scalable/mimes/text-x-script.svg "Shell Script")
![icon](./scalable/mimes/application-vnd.snap.svg "Snap")
![icon](./scalable/mimes/application-x-subrip.svg "Subtitles")
![icon](./scalable/mimes/text-x-tex.svg "TEX")
![icon](./scalable/mimes/application-x-theme.svg "Theme")
![icon](./scalable/mimes/application-toml.svg "TOML")
![icon](./scalable/mimes/application-x-bittorrent.svg "Torrent")
![icon](./scalable/mimes/text-x-gettext-translation.svg "Translation")
![icon](./scalable/mimes/text-x-gettext-translation-template.svg "Translation Template")
![icon](./scalable/mimes/application-x-gettext-translation.svg "Translation Compiled")
![icon](./scalable/mimes/text-x-typescript.svg "TypeScript")
![icon](./scalable/mimes/text-x-vala.svg "Vala")
![icon](./scalable/mimes/application-xml.svg "XML")
![icon](./scalable/mimes/application-x-xopp.svg "xApp")
![icon](./scalable/mimes/application-x-yaml.svg "YAML")
![icon](./scalable/mimes/virtualbox-hdd.svg "VirtualBox HDD Image")
![icon](./scalable/mimes/virtualbox-ova.svg "VirtualBox OVA Image")
![icon](./scalable/mimes/virtualbox-ovf.svg "VirtualBox OVF Image")
![icon](./scalable/mimes/virtualbox-vbox.svg "VirtualBox VBox Image")
![icon](./scalable/mimes/virtualbox-vbox-extpack.svg "VirtualBox VBox Extension Pack Image")
![icon](./scalable/mimes/virtualbox-vdi.svg "VirtualBox VDI Image")
![icon](./scalable/mimes/virtualbox-vhd.svg "VirtualBox VHD Image")
![icon](./scalable/mimes/virtualbox-vmdk.svg "VirtualBox VMDK Image")
</details>
<details>
<summary><h3>Places</h3></summary>

![icon](./scalable/places/folder-android.svg "Android")
![icon](./scalable/places/folder-appimage.svg "AppImage")
![icon](./scalable/places/folder-archlinux.svg "Arch Linux")
![icon](./scalable/places/folder-arduino.svg "Arduino")
![icon](./scalable/places/folder-backup.svg "Backup")
![icon](./scalable/places/folder-bitwig.svg "Bitwig")
![icon](./scalable/places/folder-blender.svg "Blender")
![icon](./scalable/places/folder-books.svg "Books")
![icon](./scalable/places/folder-c.svg "C")
![icon](./scalable/places/folder-camera.svg "Camera")
![icon](./scalable/places/folder-code.svg "Code")
![icon](./scalable/places/folder-codeberg.svg "Codeberg")
![icon](./scalable/places/folder-cplusplus.svg "C++")
![icon](./scalable/places/folder-csharp.svg "C#")
![icon](./scalable/places/folder-dropbox.svg "Dropbox")
![icon](./scalable/places/folder-emacs.svg "Emacs")
![icon](./scalable/places/folder-extensions.svg "Extensions")
![icon](./scalable/places/folder-fedora.svg "Fedora")
![icon](./scalable/places/folder-flatpak.svg "Flatpak")
![icon](./scalable/places/folder-freecad.svg "FreeCAD")
![icon](./scalable/places/folder-games.svg "Games")
![icon](./scalable/places/folder-gimp.svg "GIMP")
![icon](./scalable/places/folder-git.svg "Git")
![icon](./scalable/places/folder-github.svg "GitHub")
![icon](./scalable/places/folder-gitlab.svg "GitLab")
![icon](./scalable/places/folder-gnome.svg "GNOME")
![icon](./scalable/places/folder-go.svg "GO")
![icon](./scalable/places/folder-godot.svg "Godot")
![icon](./scalable/places/folder-inkscape.svg "Inkscape")
![icon](./scalable/places/folder-java.svg "Java")
![icon](./scalable/places/folder-kde.svg "KDE")
![icon](./scalable/places/folder-kicad.svg "KiCad")
![icon](./scalable/places/folder-lua.svg "Lua")
![icon](./scalable/places/folder-mega.svg "Mega")
![icon](./scalable/places/folder-money.svg "Money")
![icon](./scalable/places/folder-neovim.svg "Neovim")
![icon](./scalable/places/folder-nextcloud.svg "NextCloud")
![icon](./scalable/places/folder-nix.svg "Nix")
![icon](./scalable/places/folder-openscad.svg "OpenSCAD")
![icon](./scalable/places/folder-opensuse.svg "OpenSUSE")
![icon](./scalable/places/folder-platformio.svg "PlatformIO")
![icon](./scalable/places/folder-private.svg "Private")
![icon](./scalable/places/folder-projects.svg "Projects")
![icon](./scalable/places/folder-python.svg "Python")
![icon](./scalable/places/folder-r.svg "R")
![icon](./scalable/places/folder-redhat.svg "Red Hat")
![icon](./scalable/places/folder-ruby.svg "Ruby")
![icon](./scalable/places/folder-rust.svg "Rust")
![icon](./scalable/places/folder-school.svg "School")
![icon](./scalable/places/folder-screencast.svg "Screencast")
![icon](./scalable/places/folder-screenshot.svg "Screenshot")
![icon](./scalable/places/folder-shell.svg "Shell")
![icon](./scalable/places/folder-syncthing.svg "Syncthing")
![icon](./scalable/places/folder-temp.svg "Temp")
![icon](./scalable/places/folder-ubuntu.svg "Ubuntu")
![icon](./scalable/places/folder-user.svg "User")
![icon](./scalable/places/folder-vala.svg "Vala")
![icon](./scalable/places/folder-wine.svg "Wine")
![icon](./scalable/places/folder-work.svg "Work")


### Legacy Places

![icon](./scalable/places/folder-android-legacy.svg "Android")
![icon](./scalable/places/folder-appimage-legacy.svg "AppImage")
![icon](./scalable/places/folder-archlinux-legacy.svg "Arch Linux")
![icon](./scalable/places/folder-arduino-legacy.svg "Arduino")
![icon](./scalable/places/folder-backup-legacy.svg "Backup")
![icon](./scalable/places/folder-bitwig-legacy.svg "Bitwig")
![icon](./scalable/places/folder-blender-legacy.svg "Blender")
![icon](./scalable/places/folder-books-legacy.svg "Books")
![icon](./scalable/places/folder-c-legacy.svg "C")
![icon](./scalable/places/folder-camera-legacy.svg "Camera")
![icon](./scalable/places/folder-code-legacy.svg "Code")
![icon](./scalable/places/folder-codeberg-legacy.svg "Codeberg")
![icon](./scalable/places/folder-cplusplus-legacy.svg "C++")
![icon](./scalable/places/folder-csharp-legacy.svg "C#")
![icon](./scalable/places/folder-dropbox-legacy.svg "Dropbox")
![icon](./scalable/places/folder-emacs-legacy.svg "Emacs")
![icon](./scalable/places/folder-extensions-legacy.svg "Extensions")
![icon](./scalable/places/folder-fedora-legacy.svg "Fedora")
![icon](./scalable/places/folder-flatpak-legacy.svg "Flatpak")
![icon](./scalable/places/folder-freecad-legacy.svg "FreeCAD")
![icon](./scalable/places/folder-games-legacy.svg "Games")
![icon](./scalable/places/folder-gimp-legacy.svg "GIMP")
![icon](./scalable/places/folder-git-legacy.svg "Git")
![icon](./scalable/places/folder-github-legacy.svg "GitHub")
![icon](./scalable/places/folder-gitlab-legacy.svg "GitLab")
![icon](./scalable/places/folder-gnome-legacy.svg "GNOME")
![icon](./scalable/places/folder-go-legacy.svg "GO")
![icon](./scalable/places/folder-godot-legacy.svg "Godot")
![icon](./scalable/places/folder-inkscape-legacy.svg "Inkscape")
![icon](./scalable/places/folder-java-legacy.svg "Java")
![icon](./scalable/places/folder-kde-legacy.svg "KDE")
![icon](./scalable/places/folder-kicad-legacy.svg "KiCad")
![icon](./scalable/places/folder-lua-legacy.svg "Lua")
![icon](./scalable/places/folder-mega-legacy.svg "Mega")
![icon](./scalable/places/folder-money-legacy.svg "Money")
![icon](./scalable/places/folder-neovim-legacy.svg "Neovim")
![icon](./scalable/places/folder-nextcloud-legacy.svg "NextCloud")
![icon](./scalable/places/folder-nix-legacy.svg "Nix")
![icon](./scalable/places/folder-openscad-legacy.svg "OpenSCAD")
![icon](./scalable/places/folder-opensuse-legacy.svg "OpenSUSE")
![icon](./scalable/places/folder-platformio-legacy.svg "PlatformIO")
![icon](./scalable/places/folder-private-legacy.svg "Private")
![icon](./scalable/places/folder-projects-legacy.svg "Projects")
![icon](./scalable/places/folder-python-legacy.svg "Python")
![icon](./scalable/places/folder-r-legacy.svg "R")
![icon](./scalable/places/folder-redhat-legacy.svg "Red Hat")
![icon](./scalable/places/folder-ruby-legacy.svg "Ruby")
![icon](./scalable/places/folder-rust-legacy.svg "Rust")
![icon](./scalable/places/folder-school-legacy.svg "School")
![icon](./scalable/places/folder-screencast-legacy.svg "Screencast")
![icon](./scalable/places/folder-screenshot-legacy.svg "Screenshot")
![icon](./scalable/places/folder-shell-legacy.svg "Shell")
![icon](./scalable/places/folder-syncthing-legacy.svg "Syncthing")
![icon](./scalable/places/folder-temp-legacy.svg "Temp")
![icon](./scalable/places/folder-ubuntu-legacy.svg "Ubuntu")
![icon](./scalable/places/folder-user-legacy.svg "User")
![icon](./scalable/places/folder-vala-legacy.svg "Vala")
![icon](./scalable/places/folder-wine-legacy.svg "Wine")
![icon](./scalable/places/folder-work-legacy.svg "Work")
</details>

## Installation

> [!IMPORTANT]
> This theme requires the Adwaita icon theme in order to work.

#### Manual installation & update

System-wide installation into `/usr/share/icons/` (**recommended** – some apps don't work well with local user installations):

```sh
git clone https://github.com/somepaulo/MoreWaita.git && cd MoreWaita && sudo ./install.sh
```

Local user installation into `~/.local/share/icons/`:

```sh
git clone https://github.com/somepaulo/MoreWaita.git && cd MoreWaita && ./install.sh
```

##### Uninstall

Simply chose another theme and then delete the entire `MoreWaita` folder from either `/usr/share/icons/` or `~/.local/share/icons/` depending on your installation choice above.

#### Arch Linux

[AUR package (versioned)](https://aur.archlinux.org/packages/morewaita-icon-theme)

```sh
paru morewaita-icon-theme
```

[AUR package (git)](https://aur.archlinux.org/packages/morewaita-icon-theme-git)

```sh
paru morewaita-icon-theme-git
```

[Julian's repository](https://gitlab.com/julianfairfax/package-repo#how-to-add-repository-for-arch-based-linux-distributions)

#### Fedora Linux

Install via [@dusansimic's COPR](https://copr.fedorainfracloud.org/coprs/dusansimic/themes):

```sh
dnf copr enable dusansimic/themes && dnf install morewaita-icon-theme
```

#### Ubuntu/Debian Linux

[Julian's repository](https://gitlab.com/julianfairfax/package-repo#how-to-add-repository-for-debian-based-linux-distributions)

## Activation

Either use the `Tweaks` app to choose and activate the icon theme or run the following command:

```sh
gsettings set org.gnome.desktop.interface icon-theme 'MoreWaita'
```

## Using custom folder icons

### GUI method

1. Open Files (Nautilus).
2. Find the folder you wish to change the icon for.
3. Right click on the folder.
4. Click on `Properties`.
5. Click on the folder image.
6. Navigate to the MoreWaita installation folder and into the `places` subfolder (typically `/usr/share/icons/MoreWaita/scalable/places/`).
7. Select the icon you wish to use.
8. Click `Open`.
9. Follow the same procedure to revert the icon. Just click `Revert` instead of selecting a new icon in step 7.
![change_folder_icon](https://github.com/somepaulo/MoreWaita/assets/15643750/05e88cbc-3c77-4e1b-a8bd-3e15b84972fa)

### CLI method

If you need to assign the icons using the CLI you have to use the GIO command-line tool.

- Set a custom (C programming language) icon on a folder:

    ```sh
    gio set $HOME/Coding/C metadata::custom-icon \
           file:///usr/share/icons/MoreWaita/scalable/places/folder-c.svg
    ```

- You can confirm the change showing the `metadata::custom-icon` attribute with:

    ```sh
    gio info --attributes="metadata::custom-icon" $HOME/Coding/C
    ```

- To delete the `metadata::custom-icon` attribute use `-d` flag:

    ```sh
    gio set $HOME/Coding/C metadata::custom-icon -d
    ```

## Troubleshooting

#### Theme doesn't apply

If the theme doesn't apply try the following command:

For system-wide installation:

```sh
sudo gtk-update-icon-cache -f -t /usr/share/icons/MoreWaita && xdg-desktop-menu forceupdate
```

For local installation:

```sh
gtk-update-icon-cache -f -t ~/.local/share/icons/MoreWaita && xdg-desktop-menu forceupdate
```

#### Some apps don't get themed

If the theme applies, but a particular app doesn't get themed (and its icon is in MoreWaita), check its respective `.desktop` file. Some apps have icon paths hardcoded into their `.desktop` file or have a different icon name set there or no icon set at all. This can differ between distros.

If you happen to have such apps, you'll need to copy their `.desktop` files into `~/.local/share/applications` and modify them there providing the correct icon name. Alternatively, use a menu editor like `Main Menu`, `MenuLibre` or `Alacarte`.

If your app's `.desktop` file references an icon name not present in MoreWaita's `apps/scalable` folder, please report it in an issue providing the icon name from your system.
